Bug 484602 - upgrade results in error from java-1.6.0-openjdk-1:1.6.0.0-9.b14.fc10@x86_64
upgrade results in error from java-1.6.0-openjdk-1:1.6.0.0-9.b14.fc10@x86_64
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-08 17:13 EST by john bray
Modified: 2009-07-24 06:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-11 13:06:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description john bray 2009-02-08 17:13:40 EST
Description of problem:
just upgraded this package.  it complains about an improper link.  thus:
Output from java-1.6.0-openjdk-1:1.6.0.0-9.b14.fc10@x86_64:
link /usr/share/javaws incorrect for slave javaws (/usr/bin/javaws javaws)

this is complaining about a link pointing to alternatives settings:
lrwxrwxrwx 1 root root 24 2007-07-26 19:23 /usr/share/javaws -> /etc/alternatives/javaws

it seems that this package should expect that to be the link.

Version-Release number of selected component (if applicable):
java-1.6.0-openjdk-1:1.6.0.0-9.b14.fc10@x86_64

How reproducible:
presumably on any update.

Steps to Reproduce:
1. update the package to this release
2.
3.
  
Actual results:
error in description

Expected results:
no error.

Additional info:
Comment 1 Lillian Angel 2009-03-03 10:55:04 EST
i can't seem to reproduce this problem. Can you test it with the new packages in rawhide?

Thanks
Comment 2 Derek Atkins 2009-07-24 06:18:52 EDT
FYI, I was able to reproduce this and tracked down the problem.  I got the hint from https://www.zarb.org/pipermail/jpackage-discuss/2005-July/008474.html

It appears that somehow there were some "alterntives" remnants that were left from an earlier version of java, and I had the following:

$ grep javaws /var/lib/alternatives/java
javaws
/usr/share/javaws
javaws.1.gz
/usr/share/man/man1/javaws.1.gz

But of course there was no /usr/share/javaws link.  If I manually change this in /var/lib/alterntives/java from /usr/share/javaws to /usr/bin/javaws then the OpenJDK PostInstall script will run correctly and properly set up the alternatives.

Note You need to log in before you can comment on or make changes to this bug.